part of '../../../store_management.dart';

@dao
abstract class ProductCatagoryDbSet extends ModelDbSet<ProductCatagoryModel> {
  @Query('SELECT * FROM ProductCatagory WHERE status = 1')
  Future<List<ProductCatagoryModel>> findAll();
  @Query('SELECT * FROM ProductCatagory WHERE status = 1')
  Stream<List<ProductCatagoryModel>> findAllAsStream();

  @Query('''SELECT * FROM ProductCatagory WHERE id = :id''')
  Future<ProductCatagoryModel?> findById(int id);

  @Query('''SELECT * FROM ProductCatagory WHERE id = :id''')
  Stream<ProductCatagoryModel?> findByIdAsStream(int id);

  @Query('''SELECT count(*) FROM ProductCatagory WHERE status = 1''')
  Future<int?> getCount();
}
