part of '../../../store_management.dart';

@dao
abstract class ProductTypeDbSet extends ModelDbSet<ProductTypeModel> {
  @Query('SELECT * FROM ProductType WHERE status = 1')
  Future<List<ProductTypeModel>> findAll();

  @Query('SELECT * FROM ProductType WHERE id = :id')
  Future<ProductTypeModel?> findById(int id);

  @Query('SELECT * FROM ProductType WHERE id = :id')
  Stream<ProductTypeModel?> findByIdAsStream(int id);

  @Query('SELECT COUNT(id) FROM ProductType WHERE status = 1')
  Future<int?> getCount();
}
